use new_banks;

set names cp1251;

select @min_tr:=10;
select @datbase:='2002-12-31';

#drop table if exists gazp_inn;
#create table gazp_inn(inn bigint) character set cp1251 MAX_ROWS=300000000;

#load data infile './gazp.txt' into table gazp_inn  lines terminated by '\n' ignore 1 lines;



drop table if exists summary_gazp;
create table summary_gazp(n_quarter smallint, sum_total double ) character set cp1251 MAX_ROWS=300000000;

insert into summary_gazp select n_quarter, sum(sp_sum_p-sp_sum_r)
from aggr_trans_sp_cl a, gazp_inn b where (a.inn=b.inn) group by n_quarter;

drop table if exists sp_gazp1;
create table sp_gazp1(inn bigint, sum_p double ) character set cp1251 MAX_ROWS=300000000;

insert into sp_gazp1 select inn_r, sum(sum)
from sp_trans_p_r a, gazp_inn b where (a.inn_p=b.inn) group by inn_r;


drop table if exists sp_gazp2;
create table sp_gazp2(inn bigint, sum_r double ) character set cp1251 MAX_ROWS=300000000;

insert into sp_gazp2 select inn_p, sum(sum)
from sp_trans_r_p a, gazp_inn b where (a.inn_r=b.inn) group by inn_p;

drop table if exists sp_gazp;
create table sp_gazp(inn bigint, sum_p double,sum_r double not null default 0) character set cp1251 MAX_ROWS=300000000;



insert into sp_gazp select a.inn, a.sum_p, b.sum_r
from
sp_gazp1 a left join (sp_gazp2 b)
on (a.inn=b.inn) ;



select  * from summary_gazp into outfile './summary_gazp.txt' fields terminated by '`' ;




select  b.name, b.inn, c.sum_p, c.sum_r, sum_t, dat1, dat2, datediff(dat2,dat1)
from aggr_trans_sp a, agents_inn b,sp_gazp c where (a.inn=c.inn) and (a.inn=b.inn) and (sp=1) and (a.inn>100000000) and (a.inn<10000000000)
order by b.inn  into outfile './spacemen_gazp.txt' fields terminated by '`' ;

