use new_banks;

set names cp1251;

select @inn_tr:=814129109;
select @datbase:='2002-12-31';






drop table if exists sp_inn1;
create table sp_inn1(inn bigint, sum_p double ) character set cp1251 MAX_ROWS=300000000;

insert into sp_inn1 select inn_r, sum(sum)
from sp_trans_p_r a where (a.inn_p=@inn_tr) group by inn_r;


drop table if exists sp_inn2;
create table sp_inn2(inn bigint, sum_r double ) character set cp1251 MAX_ROWS=300000000;

insert into sp_inn2 select inn_p, sum(sum)
from sp_trans_r_p a where (a.inn_r=@inn_tr) group by inn_p;

drop table if exists sp_inn;
create table sp_inn(inn bigint, sum_p double,sum_r double not null default 0) character set cp1251 MAX_ROWS=300000000;



insert into sp_inn select a.inn, a.sum_p, b.sum_r
from
sp_inn1 a left join (sp_inn2 b)
on (a.inn=b.inn) ;




select  b.name, b.inn, c.sum_p, c.sum_r, sum_t, dat1, dat2, datediff(dat2,dat1)
from aggr_trans_sp a, agents_inn b,sp_inn c where (a.inn=c.inn) and (a.inn=b.inn) and (sp=1) and (a.inn>100000000) and (a.inn<10000000000)
order by sum_p ;


select  b.name, b.inn, c.sum_p, c.sum_r, sum_t, dat1, dat2, datediff(dat2,dat1)
from aggr_trans_sp a, agents_inn b,sp_inn c where (a.inn=c.inn) and (a.inn=b.inn) and (sp=1) and (a.inn>100000000) and (a.inn<10000000000)
order by b.inn  into outfile './spacemen_inn.txt' fields terminated by '`' ;

