

use new_banks;

set names cp1251;

drop table if exists monthyear_1;
create table monthyear_1(id int,  datec varchar(10), sum double, descr varchar(250))  
character set cp1251 MAX_ROWS=300000000;

drop table if exists monthyear_1_6_2;
create table monthyear_1_6_2(id int, id_client int)  character set cp1251 MAX_ROWS=300000000;


drop table if exists monthyear_1_7_2;
create table monthyear_1_7_2(id int, id_client int)  character set cp1251 MAX_ROWS=300000000;


drop table if exists monthyear_2;
create table monthyear_2(id int, name  varchar(250),  inn bigint(10), 
bik int(9),  account char(20))  character set cp1251 MAX_ROWS=300000000;



load data infile './tmp_1.txt' into table monthyear_1 fields terminated by '#|' lines 
terminated by '\n' ignore 1 lines;

#show warnings;

load data infile './tmp_1_6_2.txt' into table monthyear_1_6_2 fields terminated by '#|' lines 
terminated by '\n' ignore 1 lines;

#show warnings;

load data infile './tmp_1_7_2.txt' into table monthyear_1_7_2 fields terminated by '#|' lines 
terminated by '\n' ignore 1 lines;

#show warnings;

load data infile './tmp_2.txt' into table monthyear_2 fields terminated by '#|' lines 
terminated by '\n' ignore 1 lines;
#show warnings;

create index id on monthyear_1(id);
create index id on monthyear_1_6_2(id);
create index id on monthyear_1_7_2(id);
create index id on monthyear_2(id);



