

use new_banks;

set names cp1251;

#drop table if exists firms;

#create table firms(id int,  inn_right bigint, primary key (id))
#character set cp1251 MAX_ROWS=300000000;

#load data infile './firms.txt' into table firms fields terminated by ';' lines terminated by '\n' ;

#drop table if exists match_inn;

#create table match_inn(inn bigint, n int, strange int, n_gov int, n_u int, 
#bank int, gov int, id_c int, n_id int , primary key (inn))
#character set cp1251 MAX_ROWS=300000000;

#load data infile './match_inn.txt' into table match_inn fields terminated by ';' lines terminated by '\n' ;


drop table if exists agents_3;
create table agents_3(id int, inn bigint(10), name varchar(250) binary, n float,
id_ac int, inn_right bigint,
gov smallint, oao smallint,ooozao smallint, mgup smallint,
zavod smallint, bank smallint,kb smallint, broker smallint, invest smallint, strah smallint,
fond smallint,inostr smallint, pboul smallint, primary key(id)) character set cp1251;

create index inn on agents_3 (inn);

create index inn_right on agents_3(inn_right);
##create index bik on agents_3(bik);
##create index account on agents_3(account);


insert into agents_3 select a.id, a.inn,  a.name, a.n, a.id_ac, b.inn_right,
a.gov,
oao , ooozao, mgup ,zavod , bank,kb, broker, invest , strah ,fond,inostr, pboul from agents_2 a, firms b where (a.id=b.id);

#drop table if exists agents_inn;
#create table agents_inn(inn bigint,name varchar(250), n int, strange int, n_gov int, n_u int, 
#bank int, gov int, id_c int, n_id int , primary key (inn))
#character set cp1251 MAX_ROWS=300000000;

#insert into agents_inn select a.inn, b.name, a.n, a.strange, a.n_gov, a.n_u, a.bank, a.gov, a.id_c,
#a.n_id from match_inn a, agents_3 b where (a.id_c=b.id);


drop table if exists agents_tmp2;

create table agents_tmp2( id int,  iba char(48), inn_right bigint, gov smallint,gov1 smallint, primary key(id))  character set cp1251 MAX_ROWS=300000000;
create index iba on agents_tmp2(iba);

insert into agents_tmp2 select a.id, a.iba, b.inn_right, c.gov, b.gov from agents_tmp a, agents_3 b, match_inn c
 where (a.id=b.id) and (b.inn_right=c.inn);
