


use new_banks;

set names cp1251;

drop table if exists tmp_1;
create table tmp_1( n_p int,  dat date, sum_d double, sum_c double,
 iba_c char(48), iba_a char(48),descr varchar(250))  character set cp1251 MAX_ROWS=300000000;


insert into tmp_1 select a.n_p, str_to_date(a.datec,'%d.%m.%Y'),
a.sum_d,
a.sum_c,
concat(inn_c,'#',bik_c,'#',account_c),
concat(inn_a,'#',bik_a,'#',account_a),
 a.descr
from monthyear_1 a;


drop table if exists tmp_2a;
create table tmp_2a( n_p int,  dat date, sum_d double, sum_c double,
id_c int, iba_a char(48),
descr varchar(250))  character set cp1251 MAX_ROWS=300000000;

insert into tmp_2a select 
a.n_p, a.dat,
a.sum_d,
a.sum_c,
b1.id,
iba_a, a.descr
from tmp_1 a,agents_tmp b1 where
(a.iba_c=b1.iba) ;

drop table if exists tmp_2;
create table tmp_2( n_p int,  dat date, sum_d double, sum_c double,
id_c int, id_a int,
descr varchar(250))  character set cp1251 MAX_ROWS=300000000;

insert into tmp_2 select 
a.n_p, a.dat,
a.sum_d,
a.sum_c,
id_c,
b2.id, a.descr
from tmp_2a a, agents_tmp b2 where
 (a.iba_a=b2.iba);





drop table if exists tmp;
create table tmp(n_p int, dat date, sum double, descr  varchar(250), id_p int, id_r int)  character set cp1251 MAX_ROWS=300000000;
create index sum on tmp(sum);
create index id_p on tmp(id_p);
create index id_r on tmp(id_r);
create index n_p on tmp(n_p);

insert into tmp select n_p, dat,
sum_d,
descr,
id_c,
id_a
from tmp_2  where (sum_d>0);

insert into tmp select n_p, dat,
sum_c,
descr,
id_a,
id_c
from tmp_2 where (sum_c>0);





insert into trans select dat,sum,descr,id_p,id_r from tmp group by dat, id_p,id_r,sum;

#insert into trans select dat,sum,descr,id_p,id_r from tmp group by id_p,id_r,sum,n_p;