


use new_banks;

set names cp1251;

drop table if exists tmp_2;
create table tmp_2(id int,  iba char(48))  character set cp1251;

#create index inn on tmp_2 (inn);
#create index bik on tmp_2 (bik);
#create index account on tmp_2 (account);

insert into tmp_2 select id, concat(inn,'#',bik,'#',account) from monthyear_3;


drop table if exists tmp_3;
create table tmp_3(id int,  id_cl int, primary key (id))  character set cp1251 MAX_ROWS=300000000;

insert into tmp_3 select a.id, b.id from  tmp_2 a, agents_tmp b where
(a.iba=b.iba) ;



drop table if exists tmp;
create table tmp(dat date, sum double, descr  varchar(250), id_p int, id_r int)  character set cp1251 MAX_ROWS=300000000;

create index sum on tmp(sum);
create index id_p on tmp(id_p);
create index id_r on tmp(id_r);
create index dat on tmp(dat);



insert into tmp select str_to_date(a.datec,'%d.%m.%Y'),
a.sum,
b.descr,
c1.id_cl,
c2.id_cl
from monthyear_2 a, monthyear_1 b, tmp_3 c1, tmp_3 c2 where
(a.id_c=c1.id)  and
(a.id_a=c2.id) and (a.id=b.id);

#insert into tmp select str_to_date(a.datec,'%d.%m.%Y'),
#a.sum,
#a.descr,
#d1.id,
#d2.id
#from monthyear_1 a, monthyear_1_6_2 b1, monthyear_1_7_2 b2, tmp_2 c1, tmp_2 c2, 
#agents_tmp d1, agents_tmp d2 where
#(a.id=b1.id) and (b1.id_client=c1.id)  and
#(a.id=b2.id) and (b2.id_client=c2.id)  and
#(c1.inn=d1.inn) and (c1.bik=d1.bik) and (c1.account=d1.account)  and
#(c2.inn=d2.inn) and (c2.bik=d2.bik) and (c2.account=d2.account) ;




insert into trans select dat,sum,descr,id_p,id_r from tmp group by dat,id_p,id_r,sum;
